> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment verification details



## OpenAPI

````yaml get /import/transactions/{cf_payment_id}
openapi: 3.0.3
info:
  title: LRS
  version: '4'
servers:
  - url: https://sandbox.cashfree.com/
    description: Sandbox server
  - url: https://api.cashfree.com/
    description: Production server
security:
  - {}
paths:
  /import/transactions/{cf_payment_id}:
    get:
      summary: Get Payment Verification Details
      description: Use this API to get the status of the payment verification.
      operationId: get-payment-verification-details
      parameters:
        - name: cf_payment_id
          in: path
          description: Successful payment ID for the created order.
          schema:
            type: number
          required: true
      responses:
        '200':
          description: Success response for getting the payment verification details.
          content:
            application/json:
              examples:
                Success Response:
                  value:
                    cf_payment_id: 5114910606536
                    payment_status: SUCCESS
                    payment_verification_status: ACTION_REQUIRED
                    payment_expiry: '2024-07-10T15:39:49'
                    remarks: null
                    details:
                      - doc_name: goods_description
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: invoice_number
                        doc_type: VALUE
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: importer_name
                        doc_type: VALUE
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: importer_address
                        doc_type: VALUE
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: country_of_origin
                        doc_type: VALUE
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: invoice_file
                        doc_type: DOCUMENT
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: ecommerce_order_serial_number
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: hs_code
                        doc_type: VALUE
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: shipment_date
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: port_of_loading
                        doc_type: VALUE
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: awb_number
                        doc_type: VALUE
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
              schema:
                type: object
                properties:
                  cf_payment_id:
                    description: Successful payment ID for the created order
                    type: number
                    example: 5114910606536
                  payment_status:
                    description: Payment status
                    type: string
                    example: SUCCESS
                  payment_verification_status:
                    description: Payment verification status
                    type: string
                    enum:
                      - ACTION_REQUIRED
                      - IN_REVIEW
                      - VERIFIED
                      - EXPIRED
                    example: ACTION_REQUIRED
                  payment_expiry:
                    description: >-
                      Date and time at which the payment will expire if the
                      required docs are not uploaded
                    type: string
                    example: '2025-01-16T12:34:10+05:30'
                  remarks:
                    description: Verification remarks for the transaction
                    type: string
                    example: Transaction reject due to invalid doc
                  details:
                    type: array
                    items:
                      type: object
                      properties:
                        doc_name:
                          description: Name of the missing doc
                          type: string
                          example: shop_or_brand_name
                        doc_status:
                          description: Status of the missing doc
                          type: string
                          example: ACTION_REQUIRED
                        doc_type:
                          description: Type of the missing doc
                          type: string
                          example: VALUE
                        remarks:
                          description: Remarks for the missing doc
                          type: string
                          example: Doc is waiting to be uploaded
                        added_on:
                          description: Date and time at which the doc requirement was added
                          type: string
                          example: '2025-01-16T12:34:10+05:30'
                        last_updated_on:
                          description: Date and time at which the doc was uploaded
                          type: string
                          example: '2025-01-16T12:34:10+05:30'
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: Transaction not found
                    code: transaction_not_found
                    type: invalid_request_error
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Transaction not found
                  code:
                    type: string
                    example: transaction_not_found
                  type:
                    type: string
                    example: invalid_request_error
      deprecated: false

````